Bug 236494 - devel/websvn: update port to 2.5
Summary: devel/websvn: update port to 2.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-12 17:13 UTC by Michael Osipov
Modified: 2019-03-18 17:29 UTC (History)
1 user (show)

See Also:
michael.osipov: maintainer-feedback+


Attachments
Patch against /usr/ports (2.33 KB, patch)
2019-03-12 17:13 UTC, Michael Osipov
no flags Details | Diff
Patch against /usr/ports (3.52 KB, patch)
2019-03-13 12:16 UTC, Michael Osipov
michael.osipov: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Osipov 2019-03-12 17:13:27 UTC
Created attachment 202818 [details]
Patch against /usr/ports

I have released a new version. Passes on

poudriere testport -j 112-release-amd64  -p dev -o devel/websvn@php71
poudriere testport -j 112-release-amd64  -p dev -o devel/websvn@php72
poudriere testport -j 112-release-amd64  -p dev -o devel/websvn@php73
poudriere testport -j 112-release-i386  -p dev -o devel/websvn@php71
poudriere testport -j 112-release-i386  -p dev -o devel/websvn@php72
poudriere testport -j 112-release-i386  -p dev -o devel/websvn@php73
poudriere testport -j 120-release-amd64  -p dev -o devel/websvn@php71
poudriere testport -j 120-release-amd64  -p dev -o devel/websvn@php72
poudriere testport -j 120-release-amd64  -p dev -o devel/websvn@php73
poudriere testport -j 120-release-i386  -p dev -o devel/websvn@php71
poudriere testport -j 120-release-i386  -p dev -o devel/websvn@php72
poudriere testport -j 120-release-i386  -p dev -o devel/websvn@php73
Comment 1 Michael Osipov 2019-03-13 10:51:15 UTC
I have observed an issue with @sample n pkg-plist. Will upload a new patch tomorrow.
Comment 2 Michael Osipov 2019-03-13 12:16:33 UTC
Created attachment 202840 [details]
Patch against /usr/ports

Corrected for proper sample handling
Comment 3 commit-hook freebsd_committer 2019-03-18 17:28:13 UTC
A commit references this bug:

Author: swills
Date: Mon Mar 18 17:28:00 UTC 2019
New revision: 496153
URL: https://svnweb.freebsd.org/changeset/ports/496153

Log:
  devel/websvn: update port to 2.5

  PR:		236494
  Submitted by:	Michael Osipov <michael.osipov@siemens.com> (maintainer)

Changes:
  head/devel/websvn/Makefile
  head/devel/websvn/distinfo
  head/devel/websvn/pkg-plist
Comment 4 Steve Wills freebsd_committer 2019-03-18 17:29:19 UTC
Committed, thanks!